## dirsearch 0.4.2%2Bds

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

# export PYBUILD_INSTALL_ARGS=--install-lib=/usr/share

%:
	dh $@ --with python3 --buildsystem=pybuild

## dirsearch 0.4.2+ds

=== requirements.txt ===
certifi>=2020.11.8
chardet>=3.0.2
urllib3>=1.21.1
cryptography>=2.8
PySocks>=1.6.8
cffi>=1.14.0
markupsafe>=2.0.1

=== debian/changelog ===
dirsearch (0.4.2+ds-3) unstable; urgency=medium

  * rebuild from source for Migration to testing.

 -- Clay Stan <claystan97@gmail.com>  Wed, 22 Dec 2021 09:55:08 +0800

dirsearch (0.4.2+ds-2) unstable; urgency=medium

  [ Clay Stan ]
  * Move package maintenance under the pkg-security team.

  [ Samuel Henrique ]
  * d/patches: Fix dep3 header for Author

 -- Clay Stan <claystan97@gmail.com>  Sat, 23 Oct 2021 16:59:31 +0100

dirsearch (0.4.2+ds-1) unstable; urgency=medium

  * Initial release (Closes: #994923)

 -- Clay Stan <claystan97@gmail.com>  Tue, 28 Sep 2021 14:51:57 +0800

=== debian/control ===
Source: dirsearch
Section: misc
Priority: optional
Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
Uploaders: Clay Stan <claystan97@gmail.com>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-certifi,
               python3-chardet,
               python3-colorama,
               python3-requests,
               python3-setuptools,
               python3-urllib3,
               python3-jinja2,
               python3-ntlm-auth,
               python3-pyparsing,
               python3-requests-ntlm,
Standards-Version: 4.6.0.1
Homepage: https://github.com/maurosoria/dirsearch
Vcs-Browser: https://salsa.debian.org/pkg-security-team/dirsearch
Vcs-Git: https://salsa.debian.org/pkg-security-team/dirsearch.git
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: dirsearch
Architecture: all
Depends: python3-chardet,
         python3-colorama,
         python3-requests,
         python3-requests-ntlm,
         python3-jinja2,
         python3-pyparsing,
         ${misc:Depends},
         ${python3:Depends}
Description: Web path scanner
 This package contains is a command-line tool designed to brute force
 directories and files in webservers.
 .
 As a feature-rich tool, dirsearch gives users the opportunity to perform a
 complex web content discovering, with many vectors for the wordlist, high
 accuracy, impressive performance, advanced connection/request settings, modern
 brute-force techniques and nice output.

=== debian/watch ===
version=4
opts="dversionmangle=s/\+ds//, repacksuffix=+ds, \
   filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%dirsearch-$1.tar.gz%" \
   https://github.com/maurosoria/dirsearch/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## dirsearch 0.4.3

=== requirements.txt ===
PySocks>=1.7.1
Jinja2>=3.0.0
certifi>=2017.4.17
urllib3>=1.21.1
cryptography>=2.8
cffi>=1.14.0
defusedxml>=0.7.0
markupsafe>=2.0.0
pyopenssl>=21.0.0
idna>=2.5
chardet>=3.0.2
charset_normalizer~=2.0.0
requests>=2.27.0
requests_ntlm>=1.1.0
colorama>=0.4.4
ntlm_auth>=1.5.0
pyparsing>=2.4.7
beautifulsoup4>=4.8.0

=== debian/changelog ===
dirsearch (0.4.3-1parrot2) lory; urgency=medium

  * Update build to latest version

 -- Nong Hoang Tu <dmknght@parrotsec.org>  Wed, 07 Feb 2024 17:54:08 +0700

dirsearch (0.4.3-1parrot1) stable; urgency=medium

  * Fix watch regex
  * New upstream version 0.4.3

 -- Nong Hoang Tu <dmknght@parrotsec.org>  Wed, 07 Feb 2024 17:48:40 +0700

dirsearch (0.4.2-beta1-0parrot5) rolling; urgency=medium

  * REmove launcher

 -- Nong Hoang Tu <dmknght@parrotsec.org>  Fri, 29 Oct 2021 22:53:02 +0700

dirsearch (0.4.2-beta1-0parrot4) rolling; urgency=medium

  * Add python3-urllib3 to build-depends
  * Add runtime dependencies for test failed on Palinuro side

 -- Nong Hoang Tu <dmknght@parrotsec.org>  Tue, 05 Oct 2021 09:44:00 +0700

dirsearch (0.4.2-beta1-0parrot3) rolling; urgency=medium

  * Apply a patch for source change

 -- Nong Hoang Tu <dmknght@parrotsec.org>  Sat, 21 Aug 2021 12:23:23 +0700

dirsearch (0.4.2-beta1-0parrot2) rolling; urgency=medium

  * change name prefix

 -- Nong Hoang Tu <dmknght@parrotsec.org>  Sat, 21 Aug 2021 07:52:19 +0700

dirsearch (0.4.2-beta1-0parrot1) rolling; urgency=medium

  * Add author information
  * Add package dependencies at runtime
  * Fix description line too long
  * Remove template lines
  * Fix name of package section for the tool
  * Add launcher to install
  * Change the exec to show help
  * Make dirsearch folder as writable (testing)
  * Only allow logs and reports as writeable
  * Fix a problem of false positive check for writeable logs and reports

 -- Nong Hoang Tu <dmknght@parrotsec.org>  Wed, 16 Jun 2021 15:58:08 +0700

dirsearch (0.4.2-beta1-0parrot0) rolling; urgency=medium

  * New upstream version 0.4.2-beta1

 -- Nong Hoang Tu <dmknght@parrotsec.org>  Wed, 16 Jun 2021 15:14:30 +0700

dirsearch (0.4.1-alpha2-1) rolling; urgency=medium

  * New upstream version 0.4.1-alpha2

 -- Nong Hoang Tu <dmknght@parrotsec.org>  Tue, 08 Jun 2021 07:51:07 +0700

dirsearch (0.4.0-1parrot0) rolling-testing; urgency=medium

  * Initial release

 -- Nong Hoang Tu <dmknght@parrotsec.org>  Mon, 26 Apr 2021 20:50:00 +0700

=== debian/control ===
Source: dirsearch
Section: utils
Priority: optional
Maintainer: Nong Hoang Tu <dmknght@parrotsec.org>
Build-Depends: debhelper-compat (= 13), dh-python, python3-setuptools, python3-all, python3-distutils, python3-cryptography, python3-urllib3, python3-certifi, python3-chardet, python3-cffi
Standards-Version: 4.5.1
Homepage: https://github.com/maurosoria/dirsearch
Vcs-Browser: https://nest.parrotsec.org/packages/tools/dirsearch
Vcs-Git: https://nest.parrotsec.org/packages/tools/dirsearch.git
#Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: dirsearch
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}, python3-cryptography, python3-urllib3, python3-certifi, python3-chardet, python3-cffi
Description: Advanced web path scanner
 A command-line tool designed to brute force
 directories and files in webservers.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export PYBUILD_NAME=dirsearch
export PYBUILD_SYSTEM=distutils

%:
	dh $@ --with python3 --buildsystem=pybuild
override_dh_install:
	py3clean .
	dh_install
override_dh_fixperms:
	mkdir -p debian/dirsearch/usr/lib/python3/dist-packages/dirsearch/logs
	mkdir -p debian/dirsearch/usr/lib/python3/dist-packages/dirsearch/reports
	chmod 767 debian/dirsearch/usr/lib/python3/dist-packages/dirsearch/logs
	chmod 767 debian/dirsearch/usr/lib/python3/dist-packages/dirsearch/reports
override_dh_auto_test:

=== debian/watch ===
version=4
https://github.com/maurosoria/dirsearch/tags .*/v(\d.+)\.tar\.gz
